Bug 902866 - ibus-chewing uses dconf but still installs gconf schemas
Summary: ibus-chewing uses dconf but still installs gconf schemas
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-22 14:59 UTC by Scott Tsai
Modified: 2014-12-31 19:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-31 19:00:53 UTC


Attachments (Terms of Use)

Description Scott Tsai 2013-01-22 14:59:20 UTC
Description of problem:
ibus-chewing gets its preference settings from dconf on Fedora but the package still installs gconf schemas.

Note that this is not just a Fedora packaging level cosmetic bug:
* ibus-chewing needs to fix how the default values of its preferences are set.
* The upstream Makefile should be fixed to not generate and install gconf schemas.

Version-Release number of selected component (if applicable):
ibus-chewing-1.4.3-1.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. gconftool-2 -R /desktop/ibus/engine/Chewing

# ibus-chewing installs its default preference values through its gconf schema

2. dconf dump /desktop/ibus/engine/chewing/

# but it's really using dconf, _NOT_ gconf

ibus-chewing should not attempt to install any gconf or dconf schemas if it still intends to use a ibus_config_get_value() based configuration system. See justification below.

Additional info:

1. ibus-chewing uses the ibus_chewing_config_get_value() function for configuration
2. ibus_chewing_config_get_value() is implemented with ibus_config_get_value() in libibus-1.0.so
3. ibus_config_get_value() gets its information from the IBus config service on DBus, which apparently has three possible backends: dconf, gconf and memconf

Thus ibus-chewing should look at how ibus-anthy and ibus-hangul handles configuration:
http://pkgs.fedoraproject.org/cgit/ibus-anthy.git/tree/ibus-anthy.spec
http://pkgs.fedoraproject.org/cgit/ibus-hangul.git/tree/ibus-hangul.spec

and not attempt to install any gconf or dconf schemas if it still intends to use a ibus_config_get_value() based configuration system.

Comment 1 Fedora End Of Life 2013-12-21 10:41:46 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ding-Yi Chen 2014-01-16 13:10:55 UTC
Also listed as ibus-chewing github issue #36 
https://github.com/definite/ibus-chewing/issues/36

Comment 3 Ding-Yi Chen 2014-10-13 06:44:10 UTC
(In reply to Scott Tsai from comment #0)
> ibus-chewing should not attempt to install any gconf or dconf schemas if it
> still intends to use a ibus_config_get_value() based configuration system.
> See justification below.

Problem is, without installing the schemes, dconf/GConf2 don't know the variable type and default value.

In upcoming ibus-chewing, it will provides dconf schema by default.
GConf2 support can be enabled by specify -DGCON2_SUPPORT=1 in cmake.

Comment 4 Fedora Update System 2014-12-11 03:03:37 UTC
ibus-chewing-1.4.11.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.11.1-1.fc21

Comment 5 Fedora Update System 2014-12-11 03:03:45 UTC
ibus-chewing-1.4.11.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.11.1-1.fc20

Comment 6 Fedora Update System 2014-12-11 03:03:51 UTC
ibus-chewing-1.4.11.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.11.1-1.fc19

Comment 7 Fedora Update System 2014-12-12 13:08:08 UTC
ibus-chewing-1.4.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-1.fc21

Comment 8 Fedora Update System 2014-12-12 13:08:16 UTC
ibus-chewing-1.4.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-1.fc20

Comment 9 Fedora Update System 2014-12-12 13:08:24 UTC
ibus-chewing-1.4.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-1.fc19

Comment 10 Fedora Update System 2014-12-14 15:02:19 UTC
ibus-chewing-1.4.12-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-2.fc21

Comment 11 Fedora Update System 2014-12-14 15:02:26 UTC
ibus-chewing-1.4.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-2.fc20

Comment 12 Fedora Update System 2014-12-14 15:02:32 UTC
ibus-chewing-1.4.12-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.12-2.fc19

Comment 13 Fedora Update System 2014-12-17 01:10:17 UTC
ibus-chewing-1.4.14-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.14-2.fc19

Comment 14 Fedora Update System 2014-12-17 01:10:23 UTC
ibus-chewing-1.4.14-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.14-2.fc20

Comment 15 Fedora Update System 2014-12-17 01:10:29 UTC
ibus-chewing-1.4.14-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.14-2.fc21

Comment 16 Fedora Update System 2014-12-18 06:02:43 UTC
Package ibus-chewing-1.4.14-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-chewing-1.4.14-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17095/ibus-chewing-1.4.14-2.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-12-31 19:00:53 UTC
ibus-chewing-1.4.14-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-12-31 19:02:46 UTC
ibus-chewing-1.4.14-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-12-31 19:03:15 UTC
ibus-chewing-1.4.14-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.